Loading...
Searching...
No Matches
XrdCl::FileImpl Struct Reference
Collaboration diagram for XrdCl::FileImpl:

## Public Member Functions

| FileImpl (bool useVirtRedirector, FilePlugIn *plugin)
| FileImpl (FilePlugIn *plugin)

## Public Attributes

std::shared_ptr< FileStateHandler > | pStateHandler

## Detailed Description

Definition at line 41 of file XrdClFile.cc.

## Constructor & Destructor Documentation

## FileImpl() [1/2]

XrdCl::FileImpl::FileImpl | ( | FilePlugIn * | plugin | ) |

inline

Definition at line 43 of file XrdClFile.cc.

:
pStateHandler( std::make_shared<FileStateHandler>( plugin ) )
{
}
XrdCl::FileImpl::pStateHandler
std::shared_ptr< FileStateHandler > pStateHandler
Definition XrdClFile.cc:53

References pStateHandler.

## FileImpl() [2/2]

XrdCl::FileImpl::FileImpl | ( | bool | useVirtRedirector,
|  | FilePlugIn * | plugin )

inline

Definition at line 48 of file XrdClFile.cc.

:
pStateHandler( std::make_shared<FileStateHandler>( useVirtRedirector, plugin ) )
{
}

References pStateHandler.

## Member Data Documentation

## pStateHandler

std::shared_ptr<FileStateHandler> XrdCl::FileImpl::pStateHandler

Definition at line 53 of file XrdClFile.cc.

Referenced by FileImpl(), and FileImpl().

The documentation for this struct was generated from the following file:

- XrdClFile.cc